# Interface WatchEachOptions

Options for support/observableUtils!watchEach.

interface WatchEachOptions {
initial?: boolean;
once?: boolean;
sync?: boolean;
}

#### Hierarchy (view full)

- WatchOptions
  - WatchEachOptions

#####
Index

### Properties

initial?
once?
sync?

##
Properties

### `Optional` initial

initial?: boolean

If true, the watch callback will be invoked immediately for each object in the collection with the current value of the property being watched, as well as any item added to the collection. Both the newValue and oldValue parameters will be set to the current value of the object in the collection.

If sync is also true, the callback invoked with the initial value will be synchronous. Otherwise it will be asynchronous.

#### Default

    false

Overrides WatchOptions.initial

### `Optional` once

once?: boolean

If true, the watch callback will be invoked once for each object in the collection as well as once for each item added to the collection. If false, the watch callback will be invoked each time the watched property changes for each item in the collection.

If sync is also true, the callback will be invoked synchronously. Otherwise it will be asynchronous.

#### Default

    false

Overrides WatchOptions.once

### `Optional` sync

sync?: boolean

If true, the watch callback will be invoked synchronously. If false, the watch callback will be invoked asynchronously.

#### Default

    false

Inherited from WatchOptions.sync